package com.atlassian.bitbucket.internal.mirroring.mirror;

import com.atlassian.bitbucket.mirroring.mirror.AnalyticsSettings;

import javax.annotation.Nonnull;

import static com.google.common.base.Preconditions.checkNotNull;

public class SimpleAnalyticsSettings implements AnalyticsSettings {

    private final boolean canCollectAnalytics;
    private final String supportEntitlementNumber;

    public SimpleAnalyticsSettings(boolean canCollectAnalytics, String supportEntitlementNumber) {
        this.canCollectAnalytics = canCollectAnalytics;
        this.supportEntitlementNumber = checkNotNull(supportEntitlementNumber, "supportEntitlementNumber");
    }

    public boolean canCollectAnalytics() {
        return canCollectAnalytics;
    }

    @Nonnull
    public String getSupportEntitlementNumber() {
        return supportEntitlementNumber;
    }
}
